Home Forums Software Development dev Stream.Engine.Native Nuget Package is incompatible with API reference guide

This topic contains 1 reply, has 2 voices, and was last updated by  Grant [Tobii] 1 week, 1 day ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #11981

    Owen Atkinson
    Participant

    Hi,

    The most recent version of the Nuget Package (2.2.2.363) is incompatible with the most recent Stream Engine API reference guide (3.3.0).

    This is resulting in many different errors including issues with ‘tobii_wait_for_callbacks’.

    Could I get a compatible Nuget Package for version 3.3.0? Or is it possible to have access to an API guide which supports version 2.2.2.363?

    Thanks,
    Owen

    #11983

    Grant [Tobii]
    Moderator

    Hi @owenatkinson and thanks for your query. We are working on porting the latest stream engine v3 onto Nuget and hope to have this available soon.

    In the meantime, you can download the latest stream engine directly @ https://developer.tobii.com/consumer-eye-trackers/stream-engine/getting-started/

    In addition, we have created a migration guide for users of the 2.x Stream Engine which discusses the various changes you need to take into account for proper operation including avoiding the callback errors.

    Kindly view this @ https://tobii.github.io/stream_engine/migration_guide_2.x_to_3.x

    Do let us know if we can provide any further information. Best Wishes.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.